File: changelog

package info (click to toggle)
asciidoctor 1.5.8-1
  • links: PTS, VCS
  • area: main
  • in suites: buster
  • size: 2,928 kB
  • sloc: ruby: 37,424; xml: 27; makefile: 26; ml: 1
file content (213 lines) | stat: -rw-r--r-- 7,816 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
asciidoctor (1.5.8-1) unstable; urgency=medium

  * New upstream version 1.5.8
    + CVE-2018-18385: fix infinite loop in Parser#next_block (Closes: #913892)
  * Refresh patches for new version
  * Fix Timezone tests when SOURCE_DATE_EPOCH is set.
  * d/control: bump standards to 4.2.1
  * d/control: ruby-thread-safe has been dropped from upstream
    in favor of ruby-concurrent
  * d/control: add dependency version from ruby-asciidoctor to the ruby pkg
  * Switch the architecture of asciidoctor back to all (Closes: #909105)
  * Set asciidoctor-doc Multi-Arch: foreign
  * Update my email to my new debian one
  * Use the new debhelper-compat(=11) notation and drop d/compat.

 -- Joseph Herlant <aerostitch@debian.org>  Thu, 22 Nov 2018 21:43:15 -0800

asciidoctor (1.5.7.1-1) unstable; urgency=low

  * New upstream version 1.5.7.1
  * Remove lib_directory_in_tests.patch integrated upstream
  * Remove package-version.patch integrated upstream
  * Refresh quilt patches on new version

 -- Joseph Herlant <herlantj@gmail.com>  Sun, 13 May 2018 16:43:20 -0700

asciidoctor (1.5.7-1) unstable; urgency=low

  * New upstream version 1.5.7 (Closes: #895186, #895187)
  * remove fix-manpage-topic.patch merged upstream
  * remove re-add_README.patch merged upstream
  * remove skip-asciimath-test.patch as obsolete thanks to upstream change
  * refresh quilt patches against the new version
  * d/rules: use ASCIIDOCTOR_MANPAGE_PATH to avoid issues during the tests
  * d/ruby-tests.rake: add ASCIIDOCTOR_MANPAGE_PATH to autopkgtests
  * Update the privacy breach patch with the latest version requirements
  * Change the lib_directory_in_tests.patch to be forwardable upstream
  * Make package-version.patch forwardable to upstream

 -- Joseph Herlant <herlantj@gmail.com>  Sun, 06 May 2018 01:14:29 -0700

asciidoctor (1.5.6.2-2) unstable; urgency=low

  * Force the install of data files even when DH_CONFIG_ACT_ON_PACKAGES is set
    (Closes: #895613)

 -- Joseph Herlant <herlantj@gmail.com>  Fri, 13 Apr 2018 08:33:20 -0700

asciidoctor (1.5.6.2-1) unstable; urgency=low

  * New upstream version 1.5.6.2 (Closes: #884213)
  * d/control: add myself as co-maintainer to avoid nmu warnings
  * d/control, d/compat: update standards to 4.1.4 and compat to 11 with it
  * d/control: update Vcs-* after migration to Salsa
  * d/watch: fix debian-watch-uses-insecure-uri
  * d/copyright: fix insecure-copyright-format-uri
  * Update existing patches to match the new version
  * Add patch to workaround an upstream bug removing the README.adoc
  * Fix failing test when getting help on the manpage topic
  * split asciidoctor into ruby-asciidoctor (Closes: #893467)
  * d/control: update package description
  * d/rules: disable webfonts to fix privacy-breach-generic
  * Update patch to fix the manpage topic test
  * d/control: move asciidoctor to section:text
  * wrap-and-sort
  * d/rules: fix duplicated-compressed-files lintian complaint
  * d/rules: disable icons and image-uri-screenshot in README generation
  * Add patch to remove the badge in the README to fix privacy-breach-generic
  * d/control: update package short description

 -- Joseph Herlant <herlantj@gmail.com>  Wed, 11 Apr 2018 15:52:00 -0700

asciidoctor (1.5.5-1) unstable; urgency=medium

  * Team upload

  [ Guillaume Grossetie ]
  * Imported Upstream version 1.5.4

  [ Lucas Nussbaum ]
  * New upstream version 1.5.5
  * Refresh patches
    + Delete honour_SOURCE_DATE_EPOCH.patch (merged upstream)
  * Install additional READMEs
  * d/watch: use gemwatch
  * Install HTML version of the READMEs

 -- Lucas Nussbaum <lucas@debian.org>  Sun, 02 Jul 2017 11:34:55 +0200

asciidoctor (1.5.4-2) unstable; urgency=medium

  * Team upload

  [ Cédric Boutillier ]
  * Fix Vcs-* URL
  * Run wrap-and-sort on packaging files
  * Honour SOURCE_DATE_EPOCH to make build of packages using ronn
    reproducible. Thanks Alexis Bienvenüe for the patch (Closes: #820435)
  * Bump Standards-Version to 3.9.8 (no changes needed)

  [ Guillaume Grossetie ]
  * Adds DEP3 header to skip-unreadable-file.patch

 -- Cédric Boutillier <boutil@moszumanska.debian.org>  Wed, 08 Jun 2016 21:46:41 +0200

asciidoctor (1.5.4-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Patches refreshed:
    - lib_directory_in_tests.patch
    - skip-asciimath-test.patch
  * Patches removed (already applied upstream):
    - slim-test.patch
  * Patches added:
    - skip-unreadable-file.patch: skip test that depends on chmod
  * Use https:// in Vcs-* fields

 -- Guillaume Grossetie <ggrossetie@gmail.com>  Mon, 29 Feb 2016 17:18:00 +0200

asciidoctor (1.5.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Includes the manpage backend!
  * Refresh packaging:
    - bump debian/compat to 9
    - reformat debian/control, and add Testsuite: header
    - cleanup debian/rules
  * Patches removed (already applied upstream):
    - require-asciidoctor.patch
    - update-asciidoctor.1-manpage.patch
  * Patches refreshed:
    - data_path.patch
    - lib_directory_in_tests.patch
  * Patches added:
    - skip-asciimath-test.patch: skip test that depends on a library not yet
      in Debian
    - slim-test.patch: fix code logic to not depend on when the slim library
      has been loaded.
    - package-version.patch: allow loading gemspec without lib/ available
  * Added ruby-thread-safe to Build-Depends:
  * Switch running tests to using debian/ruby-tests.rake, making it a symlink
    to the upstream Rakefile which seems reasonable enough.

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 17 Nov 2015 11:47:27 -0200

asciidoctor (1.5.2-2) unstable; urgency=medium

  * Include data directory into the package (stylesheets) (Closes: #788052)
  * Require asciidoctor with a non relative path in bin/asciidoctor
    (Closes: #788051)
  * Add Guillaume Grossetie as Uploaders

 -- Guillaume Grossetie <ggrossetie@gmail.com>  Sat, 20 Jun 2015 17:51:58 +0200

asciidoctor (1.5.2-1) unstable; urgency=medium

  [ Sebastien Badia ]
  * Team upload.
  * d/watch: Fall-back to Github (githubredir webservice was discontinued)

  [ Guillaume Grossetie ]
  * Update to Asciidoctor 1.5.2 (Closes: #764664)
  * Bump Standards-Version to 3.9.6, no changes
  * Remove obsolete patches
  * Update patch for updated asciidoctor.1 manpage

 -- Guillaume Grossetie <ggrossetie@gmail.com>  Wed, 27 May 2015 21:31:24 +0200

asciidoctor (0.1.4-3) unstable; urgency=low

  * Team upload.
  * Add a patch to fix loading of ERB module.

 -- Jérémy Bobbio <lunar@debian.org>  Fri, 11 Apr 2014 10:28:57 +0200

asciidoctor (0.1.4-2) unstable; urgency=low

  * Bump Standards-Version to 3.9.5, no changes
  * Bump gem2deb build dependency to >= 0.7.5~
  * Suggests asciidoc
  * Add patch for updated asciidoctor.1 manpage, forwarded upstream
    - https://github.com/asciidoctor/asciidoctor/pull/938
  * Update packaging copyright
    - MIT -> Expat
    - Packaging copyright contributors and years

 -- Per Andersson <avtobiff@gmail.com>  Thu, 10 Apr 2014 03:06:04 +0200

asciidoctor (0.1.4-1) unstable; urgency=low

  [ Jérémy Bobbio ]
  * Team upload.
  * New upstream release. (Closes: #728560)
    - Update Build-Depends.
    - Drop patching out the 'pending' gem as upstream does not use it anymore.
    - No need to comment out 'rubygems' anymore.
  * Add a patch to remove tests requiring network access.
  * Update and simply extended description.
  * Install upstream changelog.

  [ Per Andersson ]
  * Add Dan Allen to doc-base Author field
  * Don't set LC_ALL=C.UTF-8 for dh_auto_install

 -- Jérémy Bobbio <lunar@debian.org>  Sun, 03 Nov 2013 11:37:57 +0100

asciidoctor (0.1.3-1) unstable; urgency=low

  * Initial release (Closes: #703528)

 -- Per Andersson <avtobiff@gmail.com>  Sat, 08 Jun 2013 01:04:38 +0200